API reference
Update the current user
Updates the profile information of the current authenticated user.
PUT
/v1/users/meUpdates the profile information of the current authenticated user.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X PUT "https://example.com/v1/users/me" \ -H "Content-Type: application/json" \ -d '{ "firstName": null, "lastName": null, "birthDate": null, "gender": null, "documentType": null, "documentNumber": null, "phoneNumber": null, "address": null, "countryCode": null, "avatarUrl": null }'{ "type": null, "title": null, "status": null, "detail": null, "instance": null, "code": "string"}